org.apache.pdfbox.pdmodel.common.function.type4

## Class Parser

- java.lang.Object
- - org.apache.pdfbox.pdmodel.common.function.type4.Parser

    public final class Parser
    extends Object

Parser for PDF Type 4 functions. This implements a small subset of the PostScript language but is no full PostScript interpreter.

### Nested Class Summary

Nested Classes
`static class` `Parser.AbstractSyntaxHandler` Abstract base class for a `Parser.SyntaxHandler`.
`static interface` `Parser.SyntaxHandler` This interface defines all possible syntactic elements of a Type 4 function.

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `parse(CharSequence input, Parser.SyntaxHandler handler)` Parses a Type 4 function and sends the syntactic elements to the given syntax handler.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### parse

    public static void parse(CharSequence input,
                             Parser.SyntaxHandler handler)

Parses a Type 4 function and sends the syntactic elements to the given syntax handler.

Parameters:
  `input` - the text source
  `handler` - the syntax handler